Bug 604882 - Header gio/gioenums.h has warnings.
Summary: Header gio/gioenums.h has warnings.
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: glib2   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 600029
TreeView+ depends on / blocked
 
Reported: 2010-06-16 22:14 UTC by Victor Bogado
Modified: 2010-08-10 13:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 13:50:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Victor Bogado 2010-06-16 22:14:23 UTC
Description of problem:
The file gio/gioenums.h has some commas at the end of some enums this is breaks any compilation that have the option "-Wall -Werror" and includes this file.

Version-Release number of selected component (if applicable):
glib2-devel-2.25.7-1.fc14

Additional info:
This is breaking the compilation of the puzzles package

Comment 1 Bug Zapper 2010-07-30 12:09:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Matthias Clasen 2010-08-10 13:50:27 UTC
Please file upstream, with _concrete_ information about the offending enumerations. In all likeliness, this has been fixed in the meantime anyway.


Note You need to log in before you can comment on or make changes to this bug.